<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN"
	"http://www.springframework.org/dtd/spring-beans.dtd">
<!-- created by aaronz@vt.edu -->

<beans>

	<!-- Create a sessionFactory from the Sakai base, instead of one local to TaskList,

		give this your HBM files so the Sakai session factory can use them,
		creates a tool specific bean to access our data through the Sakai session factory -->
	<bean id="org.sakaiproject.wontovlab.dao.SessionFactory"
		parent="org.sakaiproject.springframework.orm.hibernate.SessionFactoryBase">
		<property name="mappingResources">
			<list>
				<value>org/sakaiproject/wontovlab/hbm/Experiment.hbm.xml</value>
				<value>org/sakaiproject/wontovlab/hbm/Material.hbm.xml</value>
				<value>org/sakaiproject/wontovlab/hbm/AccessControl.hbm.xml</value>

				<!-- 
				<value>org/sakaiproject/wontovlab/hbm/ExecutedExp.hbm.xml</value>
				<value>org/sakaiproject/wontovlab/hbm/ExecutedExpLog.hbm.xml</value>
				<value>org/sakaiproject/wontovlab/hbm/StepMaterial.hbm.xml</value>
				<value>org/sakaiproject/wontovlab/hbm/Step.hbm.xml</value>
				 -->
			</list>
		</property>
	</bean>

	<!-- create a transactionManager bean from the sakai tool SessionFactory -->
	<bean id="org.sakaiproject.wontovlab.dao.HibernateTransactionManager"
		class="org.springframework.orm.hibernate3.HibernateTransactionManager">
		<property name="sessionFactory">
			<ref bean="org.sakaiproject.wontovlab.dao.SessionFactory" />
		</property>
	</bean>

</beans>